Name:           apache-james-project
Version:        1.8.1
Release:        15%{?dist}
Summary:        Main project POM files and resources
License:        ASL 2.0
URL:            http://james.apache.org/
BuildArch:      noarch

# ./create-tarball.sh %%{VERSION}
Source0:        james-project-1.8.1-clean.tar.gz
Source1:        create-tarball.sh

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache:apache:pom:)
BuildRequires:  mvn(org.apache.maven.plugins:maven-site-plugin)

%description
Main project POM files and resources for Apache James project.

%prep
%setup -q -n james-project-%{version}

# generates erroneous runtime dependency
%pom_remove_plugin :maven-doap-plugin

%pom_xpath_remove "pom:extension[pom:artifactId[text()='wagon-ssh-external']]"
%pom_xpath_remove "pom:dependency[pom:artifactId[text()='wagon-ssh']]"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 22 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8.1-12
- Update to current packaging guidelines

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 30 2015 Michael Simacek <msimacek@redhat.com> - 1.8.1-10
- Add BR maven-site-plugin

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8.1-8
- Rebuild to regenerate Maven auto-requires

* Mon May 26 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8.1-7
- Remove BuildRequires on maven-surefire-provider-junit4

* Thu Mar 06 2014 Michal Srb <msrb@redhat.com> - 1.8.1-6
- Remove wagon deps

* Fri Aug 02 2013 Michal Srb <msrb@redhat.com> - 1.8.1-5
- Add create-tarball.sh script to SRPM

* Wed Jul 17 2013 Michal Srb <msrb@redhat.com> - 1.8.1-4
- Build from clean tarball

* Thu Feb  7 2013 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.8.1-3
- Fix maven-local BR

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.8.1-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Wed Jan 09 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.8.1-1
- Update to latest upstream, use xmvn to build

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Mar 28 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.6-1
- New upstream version

* Mon Feb 21 2011 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.5-1
- Initial version of the package

